set go=
set t_Co=256

syntax on
filetype plugin indent on
set encoding=utf-8
set hidden
set showcmd
set nowrap
set backspace=indent,eol,start
set autoindent
set number
set shiftround
set ignorecase
set smartcase
set hlsearch
set incsearch
set history=1000
set undolevels=1000
set title
set noerrorbells
set list
set listchars=tab:>>,trail:.,extends:>,precedes:<,nbsp:.
set ttyfast
set mouse=a
set nocompatible
set backup
set noswapfile
set backupdir=~/.vim/backup
set laststatus=2
set fileformats=unix,dos,mac
set expandtab
set softtabstop=2 tabstop=2 shiftwidth=2
set ruler
set cursorline
set cuc cul
set wildmenu
set lazyredraw
set showmatch       " highlight matching [{()}]
set wildignore=*.swp,*.bak
set wildignore+=*.o,*.obj,.git,*.rbc,*.class,.svn,vendor/gems/*
set wildmode=longest,list:full
set linebreak
set nolist  " list disables linebreak

set omnifunc=syntaxcomplete#Complete
set dictionary=/usr/share/dict/words

" The Silver Searcher
if executable('ag')
   set grepprg=ag\ --nogroup\ --nocolor
endif


if v:version > 702 && has('patch541')
  set formatoptions+=j
endif

let g:has_async = v:version >= 800 || has('nvim')

"" Toggle relative/absolute numbering
function! NumberToggle()
  if(&relativenumber == 1)
    set number
  else
    set relativenumber
  endif
endfunc

""
com! FormatJson :%!python3 -m json.tool
com! FormatXML :%!python3 -c "import xml.dom.minidom, sys; print(xml.dom.minidom.parse(sys.stdin).toprettyxml())"
